Journal Spotify sous Linux ? Le gros manège à son !

Posté par .
Tags : aucun
-10
6
sept.
2010
La pression de la rue fut trop forte. N'étant pas président de la république démocratique du l'Empire de France, j'ai céder et pris un abonnement Spotiy. Oui je sais, hier tu as mangé des pâtes, mais des Pâtes Zani, mais on s'en fout toujours autant, c'est pas ton bélogue ici, alors évite de m'interrompre une fois de plus : je vais m'énerver, et tu ne vas pas aimer me voir énervé.

Bref donc ai-je pris un abonnement Spotify à 5€, la version Unlimited et non pas la version Premium qui est censée être la seule à permettre l'utilisation du client natif Linux d'après la page officielle contenenant le texte officiel sur le site officiel du Spotify officiel.

Et là, effectivement, contrairement à cette page officielle, le client Linux fonctionne parfaitement avec un abonnement Unlimited \o/ yeah, super, méga teuf gart, je n'ai plus les publicités oeilères et oreillères. C'est top mammouth !

Et là, c'est le drame ...

Tu t'en doutais comme Mélanie, ça ne pouvait pas bien finir. Il faut toujours qu'il y ait un problème quand on te propose une solution : dans un monde normal bâti sur la logique cartésienne, c'est l'inverse mais là on parle du monde Linux :/ C'est comme ça. Une vie trop plate, c'est pas intéressant. De l'eau plate, c'est pas intéressant. Une femme plate, c'est pas intéressant. Il faut toujours qu'il y ait des aspérités plus ou moins grosses. Et là, c'est la grosse aspérité :/

En effet, le client Linux natif, il est en Qt4 : bon déjà quand tu es sous GNOME, ça te fait un peu chier d'installer un frameworkt aussi gargantuesque que QT4 juste pour une application, mais bon, on ne va pa chipolater. L'affihage des polices est fidèle à ce qu'il est censé être avec QT : monstreux. Les polices bavent plus qu'un petit merdeux qui vient de naître. Bon je ne doute pas que ça se règle très facilementen installant toute la base de KDE - soit à peine 7Go Go de paquetages - juste pour avoir le panneau de configuration des polices. Bizarrement j'ai aps trop la foi. Oh et ça utilise 2 fois plus de CPU (10%) et autant de mémoire que la version sous WIne. Ah et la version native, niveau look comparé à la version Wine, c'est Your face, your ass : what's the difference ? : en effet, il n'y a aucune différence, si ce n'est les polices qui bavent comme un merdeux qui vient de naître.


Bref du coup, je suis resté avec le version Wine qui est finalement meilleure que la version native.

Ouais je sais, ramasse ta figure toussa /o\
  • # râleur. roaaaah

    Posté par (page perso) . Évalué à 2.

    t'en a pas marre de râler ?
    la première fois c'était marrant.

    mais la 2ème. bin non. le comique de répétition prend pas là ...

    et puis Qt c'est bien. Tu cherches le troll là.
  • # P.S.:

    Posté par . Évalué à 1.

    J'ai carrément oublié de préciser que la version Linux de Spotify est une version "preview", ce n'est pas un truc aussi mature que la version Windows. Ceci explique donc cela.

    « Je vous présente les moines Shaolin : ils recherchent la Tranquillité de l'Esprit et la Paix de l'Âme à travers le Meurtre à Main Nue »

    • [^] # Re: P.S.:

      Posté par (page perso) . Évalué à 3.

      et puis t'as du bol d'avoir ubuntu. Si t'avais eu autre chose comme distro, je te dis pas la galère pour installer le bousin... extraire les fichiers du deb. réinstaller ça où il faut. faire même un paquet maison éventuellement en installant les 36 milles lib non trouvées sur ta distro...

      etc ..
      gna gna gna
      • [^] # Re: P.S.:

        Posté par . Évalué à 6.

        Ça je l'ai précisé dans mon précédent journal ! Attends j'en poste un troisième pour donner plus de visibilité à l'info /o\

        « Je vous présente les moines Shaolin : ils recherchent la Tranquillité de l'Esprit et la Paix de l'Âme à travers le Meurtre à Main Nue »

        • [^] # Re: P.S.:

          Posté par (page perso) . Évalué à 3.

          qtconfig au fait
          • [^] # Re: P.S.:

            Posté par . Évalué à 2.

            ouais, et en plus il existe apparemment divers clients permettant d'accéder à spotify, je ne sais pas si cela supporte les abonnements payants, mais peut-être ça vaut le coup d'essayer. Peut-être l'occasion pour un nouveau journal...

            Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

        • [^] # Re: P.S.:

          Posté par (page perso) . Évalué à 5.

          OMG !
          je viens tout à coup de comprendre que L, c'est ce bon vieux linuce.

          ouah. et il utilise ubuntu ! unbelievable !
          la du trop regarder ce Willie Waller et se faire laver le cerveau. s'pas possible.

          après tant d'années sous slackware !
          Il s'est produit qqch qui t'as fait changer de coté de la force ?
          Un voyage en Inde à base de méditiation ?
          Un soin à la boue chez l'esthétcienne ? au chocolat ?
          • [^] # Re: P.S.:

            Posté par . Évalué à 6.

            je voulais juste essayer quelque chose de neuf, de nouveau, de totalement différent. Du coup j'ai installé Ubuntu 8.04 LTS "pour voir" à l'époque de sa sortie (et aussi parce que lebardix l'utilisait et que j'avais vu ce que c'était) et je n'ai pas été déçu.

            Cela dit, c'est bien la seule qui tienne la route : toutes les versions suivantes chez moi 1) soit ne s'installent tout simplement pas sans bidouillage (!!!), soit posent problème une fois installée avec divers défauts et problèmes.

            En gros j'ai eu un coup de chance avec cette 8.04 LTS et je cherche quelque chose d'autre avant sa fin de vie (avril 2011) : pour l'instant, openSUSE 11.3 n'est pas mal foutue : une fois installée, je peux continuer à coder (ma véritable occupation). Bon elle ne s'installe pas aussi vite qu'Ubuntu 8.04 LTS (20 minutes sur ma machine, utilisable directement sans bidouillage, alors qu'openSUSE mets bien 2 fois plus de temps) mais si la 10.04 ne se stabilise pas (1) d'ici avril 2011, ben ce cera openSUSE ou Debian. Slackware, même plus en rêve, je n'ai plus le temps et je ne veux plus l'avoir pour Slackware.

            Ceci dit, rien n'est gravé dans le marbre, et qui sait ce que je penserais dans quelques mois après moultes déceptions ? ;)

            1) Pour l'anecdote, énorme problème d'affichage sous X avec une carte ATI radeon qui fonctionne depuis des années sous X.Org ; j'ai essayé avec nomodeset au démarrage dans les options du noyau mais kif kif, par contre sous Fedora 13 ou openSUSE, aucun bidouillage nécessaire, ça juste travaille. Bref, sûrement une de ces patchs dont Canonical a le secret - et on n'est pas déçu qu'elle ne contribue que très peu de code au libre quand on voit ça :/

            « Je vous présente les moines Shaolin : ils recherchent la Tranquillité de l'Esprit et la Paix de l'Âme à travers le Meurtre à Main Nue »

      • [^] # Re: P.S.:

        Posté par . Évalué à 1.

        Sous ArchLinux, c'est facile, quelqu'un a fait un paquet dans les AUR.

        LinuxFr, parfois c'est bien de la MERDE : https://linuxfr.org/users/c2462250/journaux/ecriture-inclusive-feministes-et-wikipedia#comment-1793140

  • # 7 Go pas autant que çà

    Posté par . Évalué à 4.

    Bon je ne doute pas que ça se règle très facilement en installant toute la base de KDE - soit à peine 7Go Go de paquetages

    Non pas forcément, il suffit d'installer le paquet qt4-qtconfig, dépend que des bibliothèques QT (Source : aptitude show qt4-qtconfig), on aura le programme qtconfig pour configurer l'interface des applications QT (apparence, police ...).

    Si çà intéresse quelqu'un J'utilise la famille de police Rachana qui donne un meilleur résultat.
  • # multi

    Posté par (page perso) . Évalué à 8.

    Attention, tu t'es trompé de multi !
  • # Problème de packaging

    Posté par (page perso) . Évalué à 10.

    C'est un peu facile de blâmer Spotify concernant les problèmes de configuration de Qt.

    Un Qt packagé correctement ça ne prend pas 7Go et jusqu'à nouvel avis, Qt ne dépend pas de KDE, c'est l'inverse. Donc après si ta distrib te fournit une version de Qt avec des configs par défaut pourries et des dépendances trop nombreuses, va remplir un rapport de bug :-)
  • # Ta proposition?

    Posté par (page perso) . Évalué à -2.

    C'est quoi ta proposition pour qu'un développeur doivent pas faire deux GUI différents pour 1% de la population? Engueule ta distrib ou ton desktop manager plutôt de ne pas savoir proposer une API commune avec les autres (car perso, je fais du Wx donc GTK pour le moment, et je me fais insulté par les KDEiste car pas intégré à leur desktop, dans tous les cas nous, développeurs, perdons).
    Sans compter qu'il me semble que depuis Qt 4.6, il y a un thème "GTK-like"

    Grave, il y a des mecs qui ont pitié d'1% de la population et font un truc pas forcément rentable à la vue de la taille de la population, et cette population trouve encore le moyen de râler, c'est jamais comme il faut.

    PS : documente-toi, tu ne sais pas faire la différence entre Qt (le toolkit graphique multi-plate-forme pas très lourd, eux essayent de faire la glue entre les toolkits qui n'arrivent pas à se mettre d'accord) et KDE (le desktop manager)
    • [^] # Re: Ta proposition?

      Posté par . Évalué à 3.

      Une recherche de Qt sur Google donne un premier lien intitulé Qt - A cross-platform application and UI framework : on est loin du simple toolkit graphique. D'ailleurs Qt propose plus que du graphique ! GTK+ est un simple tookit graphique qui ne fait que du graphique et l'équivalent "G" de Qt, ce serait carrément l'association de Glib, GTK+, GIO, GVFS et libsoup, et encore je ne parierais pas que la liste soit exhaustive.

      Ah et sinon, oui je connais Qt, j'en fais épisodiquement (pas assez pour dire que je masteurise mais assez pour dire que c'est loin d'être uniquement un toolkit graphique).

      « Je vous présente les moines Shaolin : ils recherchent la Tranquillité de l'Esprit et la Paix de l'Âme à travers le Meurtre à Main Nue »

    • [^] # Re: Ta proposition?

      Posté par . Évalué à 10.

      C'est quoi ta proposition pour qu'un développeur doivent pas faire deux GUI différents pour 1% de la population?
      Du code sous licence libre et les gens se démerdent avec.

      => [X]

      THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

      • [^] # Re: Ta proposition?

        Posté par (page perso) . Évalué à -3.

        Ah je l'avais presque oublié ce mythe que comme c'est libre, les gens propose des patchs.
        C'est con, mais la réalité est différente : il y parfois des patchs. Bizarrement, beaucoup de développeurs de logiciels libres se plaignent qu'ils de ne pas avoir assez de monde pour faire tout ce qu'il y a à faire.

        Mais bon, continuez à vous faire de belles théories... En pratique, il y a des applis qui ne s'intègrent pas, dédiées à un bureau, et il faut faire son choix si on veut des applis intégrées. C'est fou comme le fanatisme occulte les problèmes.
        • [^] # Re: Ta proposition?

          Posté par . Évalué à 10.

          le pragmatisme c'est remarquer qu'on en a rien à foutre en fait qu'elles ne soient pas parfaitement intégrées, surtout si on compare avec la situation sous Windows avec iTunes/Safari/Quicktime, ou Google Chrome, ou encore pas mal d'autres mediaplayers, navigateurs web et diableries qui font EXPRES de mettre du clinquant partout pour mieux ressortir du reste du bureau.

          manque de pot, c'est mal intégré, les barres de titre des applications par exemple sont massacrées, la barre de menus disparait pour suivre la mode, les raccourcis clavier présents depuis 10 ans disparaissent (ils ne changent pas, ils disparaissent, trop facile sinon) et je ne parle même pas des boutons système de contrôle des fenètres de ces mêmes applications

          continue à croire que tu roules en Porsche ou en Ferrari si ça t'amuse, mais au risque de te décevoir tu es dans la même voiture à pédales décorée par Fischer Price que les autres.
        • [^] # Re: Ta proposition?

          Posté par . Évalué à -1.

          En pratique il existe un systeme d'exploitation libre avec des applications libre de qualites. Ca aussi c'est la realite. Pas celle que tu veux/aimes entendre mais elle existe.

          Alors certes certaines boites riche a million voir milliard font un peu mieux mais bon vu l'infime difference entre les applications libres (et legale) et les autres le rapport qualite/prix est infiniment en faveur des applications libres.
        • [^] # Re: Ta proposition?

          Posté par . Évalué à 1.

          Ben si y'a pas de patch, t'en proposes ou bien tu arrêtes de râler. C'est l'avantage du libre pour le développeur: il met la balle en partie dans le camp des utilisateurs.

          THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

          • [^] # Re: Ta proposition?

            Posté par (page perso) . Évalué à -1.

            Ben si y'a pas de patch, t'en proposes ou bien tu arrêtes de râler

            Promis, dès qu'on arrête de dire des trucs énormes (et faux) comme "c'est libre donc il y aura forcément des contributeurs" j'arrête de mon côté. Remarque que je réagis que quand on dit que Linux c'est super-méga-génial-sans-défauts ou qu'ils-libèrent-et-tu-auras-ce-que-tu-cherches.
        • [^] # Re: Ta proposition?

          Posté par . Évalué à 6.

          Ah je l'avais presque oublié ce mythe que comme c'est libre, les gens propose des patchs.

          Il y a un autre mythe qui dit la chose suivante :
          « Quand un code est libre, il est *possible* de proposer des patchs ».


          Il ne me viendrait jamais à l'idée d'aller me plaindre à gimp, xchat ou encore psi de ne pas être bien intégré dans gnome, dans KDE, dans XFCE, dans Debian ou autre.

          Si quelqu'un tient absolument à avoir un gimp bien intégré dans KDE (peut être que ça l'est déjà je n'en sais rien, c'est juste pour l'exemple), alors rien ne l'empêche de le faire lui même. Ou de demander gentiment à quelqu'un de le faire. Ou de payer quelqu'un pour le faire. ou de faire un bug report. etc.

          Bref, il a la possibilité de le faire et c'est ce qui compte.

          Dans le cas de spotify, à part se plaindre, quelle alternative vois-tu ? Moi je n'en vois pas d'autres. Du coup je ne suis pas étonné quand des gens se plaignent de la manière dont le logiciel est développé.
          • [^] # Re: Ta proposition?

            Posté par (page perso) . Évalué à -1.

            Ah le fameux Do It Yourself, ça me manquait aussi.
            Et après on s'étonne que les gens, plutôt que de passer des jours à coder, utilisent Windows (c'est mieux intégré par défaut, les développeurs ont le nécessaire) : c'est plus rapide pour avoir ce qu'on veut, plus simple, on a d'autres choses à faire que de coder une n-ième version d'un binding à une API alors que les messieurs sont pas foutus de se mettre d'accord en amont.
            La suprématie de Windows, la stagnation de Linux sous les 1%, est définitivement pas la faute du monopole de Microsoft ou sa vente liée, juste que Linux ne répond pas au simple besoin de ne pas coder 10x la même chose, et que les linuxiens (certains) défendent ces trucs qui empêchent Linux d'avoir une Logithèque un minimum correcte (oui, la Logithèque Linux est ridicule face à tout ce qu'il y a sous Windows)

            Avec Linux, on peut, avec Windows ça marche.

            Dans le cas de spotify, à part se plaindre, quelle alternative vois-tu ?

            Que tu codes une meilleure intégration de Qt pour Gnome, c'est libre, et Spotify utilise Qt comme framework. Pour reprendre ton principe, si Gnome n'est pas bien supporté par Qt, tu ne peux que t'en prendre toi-même, tu as la possibilité de le faire.
            Mais c'est plus simple de râler sur le logiciel parce qu'une partie est non libre, oh la belle excuse.

            Tel est pris qui croyait prendre : tu peux adapter Spotify à Gnome (en adaptant le backend Qt, pas besoin de recompiler Spotify, pas besoin des sources), donc tu n'as pas le droit de râler sur Spotifiy si on suit tes règles.
            • [^] # Re: Ta proposition?

              Posté par . Évalué à 3.

              Hou la la !

              Mais qu'est ce que tu es aigri, ce n'est pas possible :)


              Continue à en vouloir au reste du monde, je ne perdrait pas une minute de plus à te répondre, tu ne cherches visiblement pas le contradiction, mais à exprimer ta haine des distributions libres causée ton incompréhension de ce monde (doublé d'une légère intolérance).

              Je vais plutôt faire quelque chose d'utile à la place, comme pisser dans un violon ou demander à Stallman de raser sa barbe.


              Et puis arrête de faire la tête et vient faire un câlin \o/
              • [^] # Re: Ta proposition?

                Posté par (page perso) . Évalué à 2.

                mais à exprimer ta haine des distributions libres causée ton incompréhension de ce monde (doublé d'une légère intolérance).

                Gni?
                Intolérance? Je l'utilise. Mais ce sur quoi il est bon : les serveurs.
                Incompréhension? Je dirai plutôt que je le comprend, et comprend pourquoi il reste minoritaire. Haine? plutôt que ça me fait bondir de voir les gens adorer leur OS chéri et se cacher les problèmes. J'aimerai que Linux éclate la gueule à Windows, mais tant que les linuxiens feront l'autruche sur les défauts de leur OS chéri, ben ça n'arrivera pas.

                Et puis arrête de faire la tête et vient faire un câlin \o/

                T'inquiette, je ne fais pas la tête, quand c'est trop gros cette adoration, je réagis, pas plus. Un jour je ferai peut-être comme les autres : j'arrêterai d'expliquer que non, ce n'est pas si parfait, que c'est un défaut de Linux, et laisserai les desktop rester à ce qu'il est, et ferai avec seulement les gens qui essayent d'améliorer le bousin pour répondre aux besoins des utilisateurs et développeurs (il y en a...)

                Je note au passage que tu ne dis plus rien sur Spotify, bizarre... Alors, c'est quand que tu réponds à L que si il veut l'intégration, il peut proposer un patch? Assume juste ce que tu défends dans le libre.
                • [^] # Re: Ta proposition?

                  Posté par . Évalué à 2.

                  J'aimerai que Linux éclate la gueule à Windows, mais tant que les linuxiens feront l'autruche sur les défauts de leur OS chéri, ben ça n'arrivera pas.

                  Sauf que c'est quoi le "defaut" majeur de linux pour 95% des windowsiens? C'est de ne pas avoir Microsoft Office disponible. Le systeme les gens s'en foutent il suffit de voir le passage a MacOSX.

                  Et ce logiciel ne sera probablement jamais porte sous Linux. Microsoft contient une sacre une bande de salopard mais ils ne sont pas totalement idiot.
          • [^] # Re: Ta proposition?

            Posté par (page perso) . Évalué à 2.

            Il ne me viendrait jamais à l'idée d'aller me plaindre à gimp, xchat ou encore psi de ne pas être bien intégré dans gnome, dans KDE, dans XFCE, dans Debian ou autre.

            Bizarrement je vois des gens râler contre la moindre optimisation de Firefox pour Linux que pour Windows, alors qu'ils peuvent proposer un patch.
            Faut croire que vous êtes toujours dans la belle théorie, mais qu'en pratique, quand c'est libre, ça ne patche pas et ça râle quand même. Et pas pour des petits logiciels. Donc les belles excuses et les belles théories, bof... Faut revenir dans le monde réel de temps en temps.
      • [^] # Re: Ta proposition?

        Posté par (page perso) . Évalué à 2.

        >> => [X]

        Programmer directement avec Xlib, c'est effectivement la meilleure solution.
        • [^] # Re: Ta proposition?

          Posté par . Évalué à 2.

          Bah c'est XCB qu'il faut employer maintenant ?

          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

        • [^] # Re: Ta proposition?

          Posté par . Évalué à 2.

          Xlib avec xcb bien sur ! Hein ?
    • [^] # Re: Ta proposition?

      Posté par . Évalué à 9.

      "C'est quoi ta proposition pour qu'un développeur doivent pas faire deux GUI différents pour 1% de la population?"
      tout coder en Java/Swing !


      =====>[]
  • # Ta maman ...

    Posté par . Évalué à 5.

    t'a pas appris à factoriser le code dans des fonctions/procédures pour éviter le copier coller:


    def melanie(proutprout):

    print """Tu t'en doutais comme Mélanie, ça ne pouvait pas bien finir. Il faut toujours qu'il y ait un problème quand on te propose une solution : dans un monde normal bâti sur la logique cartésienne, c'est l'inverse mais là on parle du monde Linux :/ C'est comme ça. Une vie trop plate, c'est pas intéressant. De l'eau plate, c'est pas intéressant. Une femme plate, c'est pas intéressant. Il faut toujours qu'il y ait des aspérités plus ou moins grosses. Et là, c'est la grosse aspérité :/
    """
    print proutprout


    \_o<
  • # Générateur de journaux?

    Posté par . Évalué à 2.

    Dis, tu utilises un générateur pour tes journaux? Car il y a des paragraphes entiers qui semblent templatés. N'est-ce pas Mélanie?
  • # Enfin !

    Posté par (page perso) . Évalué à 10.

    Enfin ! Enfin ! (ok, vous avez compris)

    Enfin quelqu'un qui se rend compte que «Application Linux» est totalement différent de «Application GTK+ qui s'intègre à GNOME».

    Si cette appli utilise Qt, ça ne fera que m'inviter à l'utiliser, et ce pour plusieurs raisons :

    * Qt dispose d'un système de desktop-plugin, ce qui veut dire qu'il s'intègre à KDE quasiment aussi bien qu'une appli native (avant ce n'était pas le cas, les boîtes de dialogue étaient différentes par exemple). Ça s'intégrera tout aussi bien à GNOME (dialogues GTK) quand un GNOMeux aura daigné coder un plugin desktop pour GNOME, mais comme ils disent que Qt pue, ils ne vont surtout pas chercher à l'intégrer.
    * Qt est portable à Linux/X11, Mac OS (Cocoa natif, donc pas cette bouse de GTK X11), Windows (look natif, boîtes de dialogue natives), Haiku, les téléphones mobiles, etc.
    * QGTKStyle est une tuerie. Encore une fois, les utilisateurs de GNOME ont une appli très bien intégrée, en tous cas infiniment mieux que l'intégration des applis GTK dans KDE.
    * Qt, c'est léger de quelques Mio (moins de 20 si on compte QtCore et QtGui, modules équivalents de GLib et GTK+). Une appli Qt pas trop complexe comme qdbusviewer occupe 4,3 Mio de RAM (+ 18,4 Mio de mémoire partagée, taille de QtCore + QtGui), et c'est modulaire. Un bon gestionnaire de paquets avec de bons paquet ne vous demandera jamais d'installer d'énormes machins comme QtWebkit et QtXmlPatterns pour une appli qui affiche une fenêtre. Même QtSvg est un module séparé.

    Bref, avant de critiquer comme des GNOMeux aigris parce que votre hégémonie Microsiftienne (oui oui, j'ose, avec les FUD de Miguel de Icaza, les tentatives d'associer GNU/Linux == GNOME/GTK, les trolls lancés par la FSF comme «Les projets multi-plateformes devraient utiliser les interfaces d'accessibilité multi-plateforme disponibles qui incluent les distributions GNU/Linux et le bureau GNOME» ( https://linuxfr.org//~fpolux/29811.html ), Mozilla FireFox pour qui «Intégration Linux» égal «Intégration à GNOME en se rendant incompatible avec gtk-qt-engine», le fait que Qt développe l'intégration de Qt à GNOME (QGTKStyle, qui marche super bien) et l'intégration de GNOME à Qt (gtk-qt-engine, qui ne marche pas bien malheureusement), etc (si ça intéresse des gens que je fasse une liste, je veux bien, mais là je m'arrête parce que ça charge trop ma parenthèse)), apprenez un peu ce qu'est Qt et ce qu'il vaut. Les vieux trolls des années 90 sont passés, Qt est aussi libre que GTK (LGPL), tout aussi léger voir plus, et n'est plus synonyme de l'horrible intégration du temps de Qt 3.

    Donc, vous l'aurez compris :) , cette nouvelle de ce client en Qt me réjouis. Pour finir, au lieu de cracher sur les gens qui développent en Qt, encouragez-les ! C'est facile et complètement portable à Windows et Linux. Plus d'applis Qt = plus d'applis susceptibles d'être portées sous Linux !
    • [^] # Re: Enfin !

      Posté par . Évalué à 4.

      Plus d'applis Qt = plus d'applis susceptibles d'être portées sous Linux

      et sous BSD, Haiku...

      Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

    • [^] # Re: Enfin !

      Posté par (page perso) . Évalué à 2.

      On fait comment pour appliquer ce fameux style QGTKStyle à une appli KDE quand on est sous Gnome ?
      • [^] # Re: Enfin !

        Posté par . Évalué à 1.

        Passe à KDE.

        THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

      • [^] # Re: Enfin !

        Posté par (page perso) . Évalué à 2.

        Il me semble que ça ne marche que pour les applis Qt, pas les applis KDE.

        « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

      • [^] # Re: Enfin !

        Posté par (page perso) . Évalué à 6.

        Pour les applis Qt pures : qtconfig et choisir le thème.

        Pour les applis KDE, deux solutions :

        * Soit kdebase-workspace est installé (donc t'as un KDE complet de dispo). Dans ce cas : system-settings, puis Apparence, et changer le thème là.
        * Si tu préfères la console : ouvrir ~/.kde4/share/config/kdeglobals avec un éditeur de texte. Trouver la ligne «widgetStyle=oxygen» et la changer en «widgetStyle=qgtkstyle» ou quelque-chose comme ça.

        Les applis KDE que tu lanceras utiliseront le thème GTK.

        Mais n'oublions pas que je conseille de créer des applis en Qt pur. Le développement de Qt est très ouvert, donc il est possible de backporter les fonctionnalités de KDE qui manquent directement dans Qt. Une appli KDE n'est pas du tout faite pour s'intégrer à GNOME, comme une appli GTK n'est pas faite (malheureusement) pour s'intégrer à KDE. Le fait d'ailleurs que Qt soit développé hors de KDE (tandis que GTK est développé par GNOME) est un gage d'indépendance à l'environnement de bureau.
    • [^] # Re: Enfin !

      Posté par (page perso) . Évalué à 3.

      >Mozilla FireFox pour qui «Intégration Linux» égal «Intégration à GNOME
      > en se rendant incompatible avec gtk-qt-engine»

      Si ça fonctionne mal avec Firefox, c'est parce qu'il y'a un bug gros comme une maison dans gtk-qt-engine... Qui ai corrigé dans mon fork abandonné...

      Par contre, avoir un gtk-qt-engine fonctionnel, c'est maintenant peu probable, Oxygen et surtout Bespin utilisant des fonctionnalités de Qt qu'on ne trouve pas avec Gtk...

      Du coup, j'ai forké mon fork de gtk-qt-engine pour faire ceci:
      http://gitorious.org/gtk-oxygen-engine/

      Puisque finalement c'est la seul chose qui m'interesse et que je vais pas passer mon temps à rendre tel thème Qt fonctionnel...
  • # Enlève la merde de tes yeux stp

    Posté par . Évalué à -2.

    - Trois jours après la sortie du client linux, les abonnés unlimited y avait accès. Faut juste lire les articles en entier quoi.
    https://www.spotify.com/uk/blog/archives/2010/07/12/linux/

    - Il y a un paquet gnome-support dans le repo. Je ne l'ai pas testé mais apparemment toi non plus.

    - Merci de ne pas nous imposer ta prose foireuse qui n'a pour seule conséquence de nous démontrer ta blairitude, pour une fois qu'une boîte fait l'effort de sortir un client natif (alors même qu'ils savaient très bien que wine supportait le client windows).
    • [^] # Re: Enlève la merde de tes yeux stp

      Posté par . Évalué à 4.

      « - Trois jours après la sortie du client linux, les abonnés unlimited y avait accès. Faut juste lire les articles en entier quoi. https://www.spotify.com/uk/blog/archives/2010/07/12/linux/ »

      Je lis, comme sur la page française que « As we haven’t found a reliable way to display ads yet, this version is only available to Spotify Premium subscribers. ». Donc le texte officiel est clair, pas de support pour l'abonnement Unlimited, uniquement Premium, c'est écrit noir sur blanc, je ne peux pas mieux faire. Après il y a probablement un commentaire de kikounet4856 parmi les 375 "big up", "thanks", "great", mais ce n'est pas la position officielle de Spotify. J'ai déjà expliqué le problème dans un commentaire dans l'autre journal, je n'y reviens donc pas.

      « - Il y a un paquet gnome-support dans le repo. Je ne l'ai pas testé mais apparemment toi non plus. »

      Ok tu parles d'un truc que tu connais pas, mais merci de ta contribution Grégoire, ferme la porte en sortant. Sinon oui, je l'ai installé, mais je vais te laisser deviner à quoi il sert, en attendant je vais te laisser dans ton caca.

      « - Merci de ne pas nous imposer ta prose foireuse qui n'a pour seule conséquence de nous démontrer ta blairitude, »

      Si je t'emmerde avec ma prose, je te laisse imaginer la satisfaction et le plaisir que tu me procure : en tant que blaireau, je sais que j'ai atteint mon but !

      « pour une fois qu'une boîte fait l'effort de sortir un client natif (alors même qu'ils savaient très bien que wine supportait le client windows). »

      Pour une fois ? J'imagine facilement que tu es nouveau sous Linux, aussi je te souhaite la bienvenue !

      « Je vous présente les moines Shaolin : ils recherchent la Tranquillité de l'Esprit et la Paix de l'Âme à travers le Meurtre à Main Nue »

      • [^] # Re: Enlève la merde de tes yeux stp

        Posté par . Évalué à 0.

        Bon allez détend-toi. T'as tort, t'as tort. (allez hop! une petite référence comme tu les aimes ;)

        Je lis, comme sur la page française que « As we haven’t found a reliable way to display ads yet, this version is only available to Spotify Premium subscribers.

        Et encore une fois, je me répète, il faut lire les articles jusqu'au bout. Si tu passais autant de temps à te féliciter de ton style abominable de prétention qu'à lire ce qu'écrivent ceux sur qui tu vomis , tu serais tombé sur cette phrase :

        UPDATE: Spotify for Linux is now also available for Spotify Unlimited subscribers.

        Hum. Bon bah voilà quoi.

        Sinon oui, je l'ai installé

        J'imagine facilement que tu préférais écrire des trucs sans queue ni tête dans ton journal plutôt que de préciser cette information.

        Si je t'emmerde avec ma prose, je te laisse imaginer la satisfaction et le plaisir que tu me procure : en tant que blaireau, je sais que j'ai atteint mon but !

        Ce que tu dis n'a aucun sens, j'imagine facilement que tu devais absoluement trouver un truc à répondre.

        J'imagine facilement que tu es nouveau sous Linux, aussi je te souhaite la bienvenue !

        J'imagine facilement que tu es petit et que tu ne fais pas beaucoup l'amour.
        Merci de ne pas jouer sur les mots.
        Tu es allé fouillé sur mon profil pour préparer ta réponse - zut tu n'as rien trouvé ! Quelle classe.

        En bref je suis navré de voir un tel état d'esprit, navré de voire une telle prétention, navré de voire une telle bétise (j'imagine facilement que tu trouveras à redire sur ça, je te propose de le faire quand la note du journal sera sortie de l'eau).
        • [^] # Re: Enlève la merde de tes yeux stp

          Posté par . Évalué à 0.

          > >Si je t'emmerde avec ma prose, je te laisse imaginer la satisfaction et le plaisir que tu me procure : en tant que blaireau, je sais que j'ai atteint mon but !

          >Ce que tu dis n'a aucun sens, j'imagine facilement que tu devais absoluement trouver un truc à répondre.

          Mais heuu! Il dit qu'il est content de faire chier son monde, pour être vulgaire. Peut-être même qu'il jouit en lisant tes réponses cordiales. Il aime te faire l'amour, tu vois ?

          Par ailleurs, c'est vrai que sa prose ne laisse pas du tout présager la tétratrichotomie jouissive comme mode d'étant soutenable...
  • # Despotify

    Posté par (page perso) . Évalué à 2.

    Nan mais sinon tu as Despotify ( http://despotify.se/ ) qui propose un client en ligne de commande en ncurses mais qui liste aussi les trouzaines de clients spotify existant dont certains en java ou en gtk ...

    Le client officiel n'est qu'un des clients possibles parmi un large choix hein...
    • [^] # Re: Despotify

      Posté par . Évalué à 4.

      Par contre, il faut avoir un compte Premium (Unlimited ne suffit pas)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.